=== meson_options.txt ===
option('tests', type : 'boolean', value : false)
