=== debian/changelog ===
pqmarble (1.3.0-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:29 +1100

pqmarble (1.3.0-6) unstable; urgency=medium

  * lintian E: pqmarble source: missing-build-dependency-for-dh-addon gir

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Mar 2024 15:52:36 +0000

pqmarble (1.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063287

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:14:06 +0000

pqmarble (1.3.0-5) unstable; urgency=medium

  * Add build dependency on libgirepository1.0-dev
    for GObject-2.0.gir (closes: #1060947)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Jan 2024 20:08:34 +0000

pqmarble (1.3.0-4) unstable; urgency=medium

  * Revert fix (closes: #1052725)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Oct 2023 11:43:29 +0100

pqmarble (1.3.0-3) unstable; urgency=medium

  * Altlinux patch fixes "Cannot convert from `unowned uint8[]' to
    `unowned string'" (closes: 1050011); thank you Vladimir Didenko.
    Represent patch as git commit instead of quilt patch, for convenience.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Aug 2023 12:21:36 +0100

pqmarble (1.3.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.
  * Note code derived from LGPL-3 granite code

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Mar 2023 10:23:12 +0000

pqmarble (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1032845)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Mar 2023 22:13:38 +0000
