=== debian/control ===
Source: pqmarble
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Rules-Requires-Root: no
Build-Depends: dpkg-dev (>= 1.22.5),
	debhelper-compat (= 13),
	meson,
	valac,
	pkgconf | pkg-config,
	libglib2.0-dev, libgtk-4-dev,
	gobject-introspection, gobject-introspection-bin,
	libgirepository1.0-dev,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/raggesilver/marble
Vcs-Browser: https://salsa.debian.org/debian/pqmarble
Vcs-Git: https://salsa.debian.org/debian/pqmarble.git

Package: libpqmarble-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpqmarble2t64 (= ${binary:Version}), ${misc:Depends},
	gir1.2-pqmarble-2 (= ${binary:Version})
Description: Development files for libpqmarble
 Paulo Queiroz's collection of useful functions and reusable widgets.
 .
 Development library.

Package: libpqmarble2t64
Provides: ${t64:Provides}
Replaces: libpqmarble2
Breaks: libpqmarble2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Collection of useful functions and reusable widgets
 Paulo Queiroz's collection of useful functions and reusable widgets.
 .
 Run-time dynamic shared library.

Package: gir1.2-pqmarble-2
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpqmarble2t64 (= ${binary:Version}), ${misc:Depends}, ${gir:Depends}
Description: GObject introspection files for pqmarble
 Paulo Queiroz's collection of useful functions and reusable widgets.
 .
 This package contains the GObject-introspection data in binary typelib format.
