=== debian/watch ===
version=4
https://gitlab.gnome.org/raggesilver/marble/tags .*/marble-v?@ANY_VERSION@@ARCHIVE_EXT@
